package com.bonus.canteen.core.order.deprecated.dto;

import io.swagger.annotations.ApiModelProperty;

/** @deprecated */
@Deprecated
public class OrdDetailPartRefundDTO {
   @ApiModelProperty("订单详情id")
   private Long detailId;
   @ApiModelProperty("是否退菜 1 是 2 否")
   private Integer ifRefund = 1;
   @ApiModelProperty("退单数量")
   private Integer quantity;
   @ApiModelProperty("恢复库存数量")
   private Integer restoreQuantity;

   public Long getDetailId() {
      return this.detailId;
   }

   public Integer getIfRefund() {
      return this.ifRefund;
   }

   public Integer getQuantity() {
      return this.quantity;
   }

   public Integer getRestoreQuantity() {
      return this.restoreQuantity;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setIfRefund(final Integer ifRefund) {
      this.ifRefund = ifRefund;
   }

   public void setQuantity(final Integer quantity) {
      this.quantity = quantity;
   }

   public void setRestoreQuantity(final Integer restoreQuantity) {
      this.restoreQuantity = restoreQuantity;
   }

}
